Skip to main content
POST
/
api
/
apps
/
v1
/
apps
/
{appId}
/
versions
/
{versionId}
/
liveSync
Live Sync App Version (v1)
curl --request POST \
  --url https://api.example.com/api/apps/v1/apps/{appId}/versions/{versionId}/liveSync \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "dfsCommitId": "<string>",
  "importedRepoCommits": [
    {
      "ref": "<string>",
      "repoId": "<string>"
    }
  ],
  "mainRepoCommitId": "<string>"
}
'
{
  "triggered": true
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

appId
string
required
versionId
string
required

Body

application/json

Commit IDs provided by the caller for the live sync.

dfsCommitId
string | null

DFS commit SHA.

importedRepoCommits
object[]

Commit SHAs for each imported git repo.

mainRepoCommitId
string | null

Commit SHA of the main git repo. Omit if the project has no main git repo.

Response

Success

Response returned when a live sync is requested.

triggered
boolean
required

True if a sync was dispatched to the preview pod; false if all provided commits match what was last synced.